View Issue Details

IDProjectCategoryView StatusLast Update
0001746OpenFOAM[All Projects] Bugpublic2016-05-06 13:41
Reporterjfp6Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version15.04
Product Version 
Fixed in Version 
Summary0001746: When running cyclone tutorial using MPPIC solver in parallel, the introduction of particles causes the solver to crash
DescriptionWhen I run the tutorial "cyclone", it fails when reaching 1 second, the point at which particle parcels are first introduced. The error appears to be a problem with mpi communication (yet only associated with the particle clouds). It also fails for version 2.4.0 but works fine on 2.3.1. The solver also works if it is not run in parallel. I tested this on two separate machines (although the software was installed the same on both).

Steps To ReproduceRun the tutorial cyclone and it will run up to 1 s where it generates this error. (It is much quicker to change the SOI value in kinematicCloudProperties file to 0 so you can avoid the computation of the first second)
Additional InformationI have attached an abbreviated log from a run with version 2.4.0.
TagsNo tags attached.

Activities

jfp6

2015-06-15 21:58

reporter  

log.MPPICFoam (6,407 bytes)

will

2015-06-16 11:12

manager   ~0004950

I can reproduce this, in 2.3.x as well. The commit which causes the error is b6a9960198a8b8492cf33a5a467c38580ad698b7. PatchInjection<CloudType>::parcelsToInject also generates a random number, which should probably be scattered as well. If not, the number of parcels being injected differs between processors, patchInjectionBase::setPositionAndCell is executed different numbers of times on different processors, and it's call to Pstream::scatter fails.

tniemi

2015-06-16 13:38

reporter   ~0004956

I can also reproduce this. A very simple fix would be changing rnd.position to rnd.globalPosition in patchInjection.C.

henry

2015-06-16 15:16

manager   ~0004958

Thanks for the bug-report and proposed fix.
Resolved by commit 6b92731286681ac2eea00426ffcc2c4bad014901

Issue History

Date Modified Username Field Change
2015-06-15 21:58 jfp6 New Issue
2015-06-15 21:58 jfp6 File Added: log.MPPICFoam
2015-06-16 11:12 will Note Added: 0004950
2015-06-16 13:38 tniemi Note Added: 0004956
2015-06-16 15:16 henry Note Added: 0004958
2015-06-16 15:16 henry Status new => resolved
2015-06-16 15:16 henry Resolution open => fixed
2015-06-16 15:16 henry Assigned To => henry